#include "Mix/Tool/Win32/Core/Graphics/SceneObject.h"
#include "Mix/Tool/Win32/Core/Graphics/Scene.h"

namespace Mix{ namespace Tool{ namespace Win32{ namespace Graphics{

SceneObject::SceneObject( void ) :
m_pScene( NULL )
{
}

SceneObject::~SceneObject( void )
{
}

void SceneObject::SetScenePtr( Mix::Tool::Win32::Graphics::Scene* pScene )
{
	m_pScene = pScene;
}

Mix::Tool::Win32::Graphics::Scene* SceneObject::GetScenePtr( void )
{
	return m_pScene;
}

}}}}
